Status for Dynamic QRIS

This APIs will help clients to initialise the status update from their side.

Request Parameters

Key ParametersData TypeDescription
Key ParametersData TypeDescription
Content-TypestringString representing the content type (application/json)
X-CLIENT-KEYstringClient's client_id
X-TIMESTAMPdatetimeClient's current local time in ISO 8601 format
AuthorizationstringOne-time access token generated for the request
X-SIGNATUREstringNon-repudiation & integrity validation checking.

Generated by client and created using asymmetric
signature SHA256withRSA (clientSecret,
stringToSign) with
stringToSign = HTTPMethod
+”:“+ EndpointUrl +":“+
Lowercase(HexEncode(SHA-
256(minify(RequestBody)))) + ":“ +
TimeStamp
X-PARTNER-IDstringBrick's client ID
X-EXTERNAL-IDstringUnique external identifier for the API request that can be found on Brick Dashboard Credentials
CHANNEL-IDstringBrick's channel ID
originalReferenceNostringUnique identifier for the original transaction
originalPartnerReferenceNostringUnique identifier for the original transaction assigned by the partner or merchant.
serviceCodefloatMust be set to '51'

Response Parameters

Key parametersData typeDescription
responseCodeintegerA code indicating the success or failure of the request, along with the associated reason.
responseMessagestringA message confirming the success of the operation.
originalReferenceNostringThe original unique identifier generated for the transaction by the system.
originalPartnerReferenceNostringThe original unique identifier provided by the partner to track the transaction.
serviceCodeintegerMust be set to '51'
latestTransactionStatusintegerThe most recent status code of the transaction based on SNAP standard:
00 - Success
01 - Initiated
02 - Paying - meaning PAID in Brick
03 - Pending
04 - Refunded
05 - Canceled
06 - Failed
07 - Not found
transactionStatusDescstringA description of the latest transaction status (e.g., EXPIRED).
amount.valuefloatThe amount of the transaction.
amount.currencystringThe currency used for the transaction (e.g., IDR).
Body Params
string
Defaults to QR_75ae1b56c40449ecbc42010e3d2589cc

Unique identifier for the original transaction. e.g. QR_75ae1b56c40449ecbc42010e3d2589cc

string
Defaults to 20241115000000189723

Unique identifier for the original transaction assigned by the partner. e.g. 20241115000000189723

string
Defaults to 51

Must be set to '51'

Headers
string
required
Defaults to application/json

String represents indicate the media type of the resource

string
required
Defaults to 51de24a9-bf41-47eb-aacb-876a5c1ac323

Client’s client_id

date
required
Defaults to 2024-11-15T18:44:33+07:00

Client's current local time in yyyy-MM- ddTHH:mm:ss.SSSTZD format

string
required
Defaults to Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxNjQwIiwiZXhwIjoxNzMxNjYzMDUwLCJuYmYiOjE3MzE2NjIxNTAsImlhdCI6MTczMTY2MjE1MH0.4horeyrklK5JYdAh5KBMK7GS5LbMWPKb-3KA0qDajcg

One time access-token generated using the auth token API

string
required
Defaults to B1P/3XL7Y2TCYOs81Xwni9wr3NaPcA6WJQ/qnY35ZGEUOhrIZTrxfVzM8UHR/e0gsNtbLhJ9OnHz3wAVljFpFowdpwG1OsYE9EbRCUBhyaFIxnn7VTAD/09yEyxTxEdeHa6GWlFw+cmNHLmvxCLM07DMTdYXOlK2VjKmFr3uG1wOwvUOejAtRCl+mukHnT/e94auHeUYeGPBOMmFC6UVzLKLLqGikytgx5V6JDUzC73lyyFrrKChIq0mF9EwhNOGj0n9UJZZi0/kOAOFlFSh4qQEqwrMsXWu51b1FohGMCPwUuDS3z3YRO4mQ+mOfgQU3EpzHJ3uM2oYLRk5mJXRA==

Non-Repudiation & Integrity check signature for the requesting

string
required
Defaults to 1

Brick's client ID

string
required
Defaults to 5f227e48-d589-44e7-b2e0-87f733fed23e

Unique external identifier for the API request that can be found on Brick Dashboard Credentials

string
required
Defaults to A0

Brick's channel id

Responses

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json